3 Replies Latest reply: Feb 7, 2012 12:27 PM by varjak paw
ashtonka Level 1 Level 1

Can I download the Kindle app. on a 1st generation iTouch?


iPod touch, iOS 3.1
Reply by lllaass on Feb 7, 2012 9:13 AM Helpful

That is correct.  The Kindle - Read Books app requires iOS 3.2 or later.  The 1G iPod can only go to iOS 3.1.3. Sorry,

All replies